#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	rasqal
Version		:	0.9.33
Release		:	17.0.10.rel%{?dist}
Summary		:	RDF Query Library
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	http://download.librdf.org/source

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	gtk-doc
BuildRequires	:	pcre
BuildRequires	:	raptor2-devel
#-----------------------------------------------------------------------------
%description
'%{name}' is a library providing full support for querying Resource
Description Framework (RDF) including parsing query syntaxes,
constructing the queries, executing them and returning result formats.
It currently handles the RDF Data Query Language (RDQL) and SPARQL
Query language.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS NEWS README
%{_bindir}/%{name}-config
%{_bindir}/roqet
%{_libdir}/lib%{name}.so.3*
%{_mandir}/man1/%{name}-config.1.gz
%{_mandir}/man1/roqet.1.gz

#=============================================================================
%package		devel
Summary		:	Development files for the Rasqal RDF libraries

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
Libraries, includes etc to develop with the Rasqal RDF query language library.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/%{name}.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gtk-doc/html/%{name}/*.{html,png,sgml}
%{_datadir}/gtk-doc/html/%{name}/%{name}.devhelp2
%{_datadir}/gtk-doc/html/%{name}/style.css
%{_mandir}/man3/lib%{name}.3.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}		\
	--enable-pcre					\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
